import Vue from 'vue'
import VueRouter from 'vue-router'
import gaf from './gaf'
import wokes from './wokes'
Vue.use(VueRouter)
const routes = [
  {
    path: '/',
    redirect: '/frame'
  },
  {
    path: '/login',
    component: () => import('../views/frame/Login.vue')
  },
  {
    path: '/frame',
    component: () => import('../views/frame/frame.vue'),
    children: [
      {
        path: '/',
        component: () => import('../views/frame/Home.vue')
      },
      // gaf
      ...gaf,
      // wokes
      ...wokes
    ]
  }
]
const router = new VueRouter({
  mode: 'history',
  base: process.env.BASE_URL,
  routes
})
router.beforeEach((to, from, next) => {
  if (to.path === from.path) return
  // 此处判断登录状态  失效则退回登录页  清空登录状态
  const token = sessionStorage.getItem('token')
  if (!token && !/\/login$/.test(to.path)) {
    next('/login')
  }
  next()
})

export default router
