import axios from '@lib/plug/axios.js'
const api = {
  adminUser: '/api/adminUser/query',
  usercreate: '/api/adminUser/create',
  userupdate: '/api/adminUser/update',
  userdelete: '/api/adminUser/delete/'
}

// 参数帐号id  appid
// initial state
const state = () => ({
  userList: [],
  total: 0
})

// actions
const actions = {
  async getUser ({ commit }, { filter, paging } = {}) {
    const { page = 1, size = 10 } = paging
    const res = await axios.get(api.adminUser, { params: { skip: page - 1 < 0 ? 0 : page - 1, limit: size, ...filter } })
    if (res.errcode === 0) commit('adminUser', res)
    return res
  },
  async usercreate ({ commit }, payload) {
    const res = await axios.post(api.usercreate, payload)
    return res
  },
  async userupdate ({ commit }, payload) {
    const res = await axios.post(api.userupdate, payload)
    return res
  },
  async userdelete ({ commit }, { _id }) {
    const res = await axios.delete(`${api.userdelete}${_id}`)
    return res
  }
}

// mutations
const mutations = {
  adminUser (state, payload) {
    state.userList = payload.data
    state.total = payload.total
  }
}
export default {
  namespaced: true,
  state,
  actions,
  mutations
}
