import axios from '@lib/plug/axios.js'
const api = {
  rolequery: '/api/role/query',
  rolecreate: '/api/role/create',
  roleupdate: '/api/role/update',
  roledelete: '/api/role/delete/'
}

// 参数帐号id  appid
// initial state
const state = () => ({
  roleList: [],
  total: 0
})

// actions
const actions = {
  async rolequery ({ commit }, { filter, paging } = {}) {
    const { page = 1, size = 10 } = paging
    const res = await axios.get(api.rolequery, { params: { skip: page - 1 < 0 ? 0 : page - 1, limit: size, ...filter } })
    if (res.errcode === 0) commit('role', res)
    return res
  },
  async rolecreate ({ commit }, payload) {
    const res = await axios.post(api.rolecreate, payload)
    return res
  },
  async roleupdate ({ commit }, payload) {
    const res = await axios.post(api.roleupdate, payload)
    return res
  },
  async roledelete ({ commit }, { _id }) {
    const res = await axios.delete(`${api.roledelete}${_id}`)
    return res
  }
}

// mutations
const mutations = {
  role (state, payload) {
    state.roleList = payload.data
    state.total = payload.total
  }
}
export default {
  namespaced: true,
  state,
  actions,
  mutations
}
