import Vue from 'vue'
import Vuex from 'vuex'
// 系统
import menu from './gaf/menu'
import adminuser from './gaf/adminuser'
import login from './gaf/login'
import role from './gaf/role'
import log from './gaf/log'
// 内容
import wokesmenu from './wokes/menu'
import webconfig from './wokes/webconfig'
import pages from './wokes/pages'
import content from './wokes/content'
import files from './wokes/files'
import links from './wokes/links'
import banner from './wokes/banner'
import column from './wokes/column'
import journal from './wokes/journal'
Vue.use(Vuex)

export default new Vuex.Store({
  state: {
    dict: {
      state: [
        { value: '0', title: '正常' },
        { value: '1', title: '停用' }
      ],
      type: [
        { value: '0', title: '栏目' },
        { value: '1', title: '链接' },
        { value: '2', title: '单页' }
        // { value: '3', title: '父级' }
      ],
      columns: [],
      result: [
        { value: '成功', title: '成功' },
        { value: '失败', title: '失败' }
      ],
      journalStatus: [
        { value: '0', title: '正常' },
        { value: '1', title: '停用' }
      ]
    }
  },
  mutations: {
    setcolumns (state, payload) {
      const list = []
      payload.filter(p => {
        list.push({ value: p.code, title: p.name })
      })
      state.dict.columns = list
    }
  },
  actions: {
  },
  modules: {
    menu,
    adminuser,
    login,
    role,
    log,
    wokesmenu,
    webconfig,
    pages,
    content,
    files,
    links,
    banner,
    column,
    journal
  }
})
