import axios from '@lib/plug/axios.js'
const api = {
  bannerquery: '/api/banner/query',
  bannercreate: '/api/banner/create',
  bannerupdate: '/api/banner/update',
  bannerdelete: '/api/banner/delete/',
  bannerdetails: '/api/banner/details/'
}

// 参数帐号id  appid
// initial state
const state = () => ({
  bannerList: [],
  total: 0,
  bannerItem: {}
})

// actions
const actions = {
  async bannerquery ({ commit }, { filter, paging } = {}) {
    const { page = 1, size = 10 } = paging
    const res = await axios.get(api.bannerquery, { params: { skip: page - 1 < 0 ? 0 : page - 1, limit: size, ...filter } })
    if (res.errcode === 0) commit('banner', res)
    return res
  },
  async bannercreate ({ commit }, payload) {
    const res = await axios.post(api.bannercreate, payload)
    return res
  },
  async bannerupdate ({ commit }, payload) {
    const res = await axios.post(api.bannerupdate, payload)
    return res
  },
  async bannerdelete ({ commit }, { _id }) {
    const res = await axios.delete(`${api.bannerdelete}${_id}`)
    return res
  },
  async bannerdetails ({ commit }, { _id }) {
    const res = await axios.get(`${api.bannerdetails}${_id}`)
    if (res.errcode === 0) commit('details', res)
    return res
  }
}

// mutations
const mutations = {
  banner (state, payload) {
    state.bannerList = payload.data
    state.total = payload.total
  },
  details (state, payload) {
    state.bannerItem = payload.data
  }
}
export default {
  namespaced: true,
  state,
  actions,
  mutations
}
