import axios from '@lib/plug/axios.js'
const api = {
  columnCreate: '/api/column/create',
  columnUpdate: '/api/column/update',
  columnDelete: '/api/column/delete',
  columnQuery: '/api/column/query'
}
const state = () => ({
  Total: 0,
  columnList: []
})

const actions = {
  async columnCreate ({ commit }, payload) {
    const res = await axios.post(api.columnCreate, payload)
    return res
  },
  async columnUpdate ({ commit }, payload) {
    const res = await axios.post(api.columnUpdate, { ...payload, id: payload._id })
    return res
  },
  async columnDelete ({ commit }, { id }) {
    const res = await axios.delete(`${api.columnDelete}/${id}`)
    return res
  },
  async columnQuery ({ commit }, { filter, paging } = {}) {
    const res = await axios.get(api.columnQuery, { ...filter, skip: paging.page, limit: paging.size })
    commit('columnQuery', res)
    return res
  }
}

const mutations = {
  columnQuery (state, payload) {
    state.columnList = payload.data
    state.Total = payload.total
  }
}

export default {
  namespaced: true,
  state,
  mutations,
  actions,
  modules: {}
}
