import axios from '@lib/plug/axios.js'
const api = {
  contentquery: '/api/content/query',
  contentcreate: '/api/content/create',
  contentupdate: '/api/content/update',
  contentdelete: '/api/content/delete/',
  contentdetails: '/api/content/details/'
}

// 参数帐号id  appid
// initial state
const state = () => ({
  contentList: [],
  total: 0,
  contentItem: {}
})

// actions
const actions = {
  async contentquery ({ commit }, { filter, paging } = {}) {
    const { page = 1, size = 10 } = paging
    const res = await axios.get(api.contentquery, { params: { skip: page - 1 < 0 ? 0 : page - 1, limit: size, ...filter } })
    if (res.errcode === 0) commit('content', res)
    return res
  },
  async contentcreate ({ commit }, payload) {
    const res = await axios.post(api.contentcreate, payload)
    return res
  },
  async contentupdate ({ commit }, payload) {
    const res = await axios.post(api.contentupdate, payload)
    return res
  },
  async contentdelete ({ commit }, { _id }) {
    const res = await axios.delete(`${api.contentdelete}${_id}`)
    return res
  },
  async contentdetails ({ commit }, { _id }) {
    const res = await axios.get(`${api.contentdetails}${_id}`)
    if (res.errcode === 0) commit('details', res)
    return res
  }
}

// mutations
const mutations = {
  content (state, payload) {
    state.contentList = payload.data
    state.total = payload.total
  },
  details (state, payload) {
    state.contentItem = payload.data
  }
}
export default {
  namespaced: true,
  state,
  actions,
  mutations
}
