import axios from '@lib/plug/axios.js'
const api = {
  filesupload: '/api/files/upload',
  filesquery: '/api/files/query',
  filesdelete: '/api/files/delete/',
  filesdetails: '/api/files/details/'
}

// 参数帐号id  appid
// initial state
const state = () => ({
  filesList: [],
  total: 0
})

// actions
const actions = {
  async filesupload ({ commit }, payload) {
    const config = {
      headers: {
        'Content-Type': 'multipart/form-data'
      }
    }
    const res = await axios.post(api.filesupload, payload, config)
    return res
  },
  async filesquery ({ commit }, { filter, paging } = {}) {
    const { page = 1, size = 10 } = paging
    const res = await axios.get(api.filesquery, { params: { skip: page - 1 < 0 ? 0 : page - 1, limit: size, ...filter } })
    if (res.errcode === 0) commit('files', res)
    return res
  },
  async filesdelete ({ commit }, { _id }) {
    const res = await axios.delete(`${api.filesdelete}${_id}`)
    return res
  }
}

// mutations
const mutations = {
  files (state, payload) {
    state.filesList = payload.data
    state.total = payload.total
  }
}
export default {
  namespaced: true,
  state,
  actions,
  mutations
}
