import axios from '@lib/plug/axios.js'
const api = {
  linksquery: '/api/links/query',
  linkscreate: '/api/links/create',
  linksupdate: '/api/links/update',
  linksdelete: '/api/links/delete/'
}

// 参数帐号id  appid
// initial state
const state = () => ({
  linksList: [],
  total: 0
})

// actions
const actions = {
  async linksquery ({ commit }, { filter, paging } = {}) {
    const { page = 1, size = 10 } = paging
    const res = await axios.get(api.linksquery, { params: { skip: page - 1 < 0 ? 0 : page - 1, limit: size, ...filter } })
    if (res.errcode === 0) commit('links', res)
    return res
  },
  async linkscreate ({ commit }, payload) {
    const res = await axios.post(api.linkscreate, payload)
    return res
  },
  async linksupdate ({ commit }, payload) {
    const res = await axios.post(api.linksupdate, payload)
    return res
  },
  async linksdelete ({ commit }, { _id }) {
    const res = await axios.delete(`${api.linksdelete}${_id}`)
    return res
  }
}

// mutations
const mutations = {
  links (state, payload) {
    state.linksList = payload.data
    state.total = payload.total
  }
}
export default {
  namespaced: true,
  state,
  actions,
  mutations
}
