import axios from '@lib/plug/axios.js'
const api = {
  menuquery: '/api/menu/query',
  menucreate: '/api/menu/create',
  menuupdate: '/api/menu/update',
  menudelete: '/api/menu/delete/'
}

// 参数帐号id  appid
// initial state
const state = () => ({
  menuList: [],
  total: 0
})

// actions
const actions = {
  async menuquery ({ commit }, { filter = {}, paging = {} } = {}) {
    const { page = 1, size = 10 } = paging
    const res = await axios.get(api.menuquery, { params: { skip: page - 1 < 0 ? 0 : page - 1, limit: size, ...filter } })
    if (res.errcode === 0) commit('menu', res)
    return res
  },
  async menucreate ({ commit }, payload) {
    const res = await axios.post(api.menucreate, payload)
    return res
  },
  async menuupdate ({ commit }, payload) {
    const res = await axios.post(api.menuupdate, payload)
    return res
  },
  async menudelete ({ commit }, { _id }) {
    const res = await axios.delete(`${api.menudelete}${_id}`)
    return res
  }
}

// mutations
const mutations = {
  menu (state, payload) {
    state.menuList = payload.data
    state.total = payload.total
  }
}
export default {
  namespaced: true,
  state,
  actions,
  mutations
}
