import axios from '@lib/plug/axios.js'
const api = {
  pagequery: '/api/page/query',
  pagecreate: '/api/page/create',
  pageupdate: '/api/page/update',
  pagedelete: '/api/page/delete/',
  pagedetails: '/api/page/details/'
}

// 参数帐号id  appid
// initial state
const state = () => ({
  pageList: [],
  total: 0,
  pageItem: {}
})

// actions
const actions = {
  async pagequery ({ commit }, { filter = {}, paging = {} } = {}) {
    const { page = 1, size = 10 } = paging
    const res = await axios.get(api.pagequery, { params: { skip: page - 1 < 0 ? 0 : page - 1, limit: size, ...filter } })
    if (res.errcode === 0) commit('page', res)
    return res
  },
  async pagecreate ({ commit }, payload) {
    const res = await axios.post(api.pagecreate, payload)
    return res
  },
  async pageupdate ({ commit }, payload) {
    const res = await axios.post(api.pageupdate, payload)
    return res
  },
  async pagedelete ({ commit }, { _id }) {
    const res = await axios.delete(`${api.pagedelete}${_id}`)
    return res
  },
  async pagedetails ({ commit }, { _id }) {
    const res = await axios.get(`${api.pagedetails}${_id}`)
    if (res.errcode === 0) commit('details', res)
    return res
  }
}

// mutations
const mutations = {
  page (state, payload) {
    state.pageList = payload.data
    state.total = payload.total
  },
  details (state, payload) {
    state.pageItem = payload.data
  }
}
export default {
  namespaced: true,
  state,
  actions,
  mutations
}
