import axios from '@lib/plug/axios.js'
const api = {
  configurationquery: '/api/configuration/query',
  configurationcreate: '/api/configuration/create',
  configurationupdate: '/api/configuration/update'
}

// initial state
const state = () => ({
  configurationdata: {}
})

// actions
const actions = {
  async configurationquery ({ commit }, { filter, paging } = {}) {
    const res = await axios.get(api.configurationquery)
    if (res.errcode === 0) commit('configurationquery', res)
    return res
  },
  async configurationcreate ({ commit }, payload) {
    const res = await axios.post(api.configurationcreate, payload)
    return res
  },
  async configurationupdate ({ commit }, payload) {
    const res = await axios.post(api.configurationupdate, payload)
    return res
  }
}

// mutations
const mutations = {
  configurationquery (state, payload) {
    state.configurationdata = payload.data
  }
}
export default {
  namespaced: true,
  state,
  actions,
  mutations
}
